<?php
$set['title']='Форум - '.$forum['name'].' - '.$razdel['name'].' - Новая тема'; // заголовок страницы
include_once '../sys/inc/thead.php';

title();
aut();
echo '<div class="menu">';

if(isset($_POST['name']) && isset($_POST['msg'])){
if(isset($_SESSION['time_c_t_forum']) && $_SESSION['time_c_t_forum']>$time-300 && $user['level']==0){
	$err='Нельзя так часто создавать темы, лимит между созданием новой темы 5 минут';
	}

$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));

if(isset($_POST['translit1']) && $_POST['translit1']==1){
	$name=translit($name);
	}

if(ereg("\{|\}|\^|\%|\\$|#|@|\~|'|\"|`|<|>",$name)){
	$err='В названии темы присутствуют запрещенные символы';
	}

if(strlen2($name)<3){
	$err='Короткое название для темы';
	}

if(strlen2($name)>32){
	$err='Название темы не должно быть длиннее 32-х символов';
	}

$name=mysql_real_escape_string($name);
$msg=esc(stripcslashes(htmlspecialchars($_POST['msg'])));

if(isset($_POST['translit2']) && $_POST['translit2']==1){
	$msg=translit($msg);
	}

if(strlen2($msg)<10){
	$err='Короткое сообщение';
	}

if(strlen2($msg)>1024){
	$err='Длина сообщения превышает предел в 10240 символа';
	}

$msg=mysql_real_escape_string($msg);

if(!isset($err)){
	$_SESSION['time_c_t_forum']=$time;
	mysql_query("INSERT INTO `forum_t` (`id_forum`, `id_razdel`, `time_create`, `id_user`, `name`, `time`) values('$forum[id]', '$razdel[id]', '$time', '$user[id]', '$name', '$time')");
	$them['id']=mysql_insert_id();
	mysql_query("INSERT INTO `forum_p` (`id_forum`, `id_razdel`, `id_them`, `id_user`, `msg`, `time`) values('$forum[id]', '$razdel[id]', '$them[id]', '$user[id]', '$msg', '$time')");
	mysql_query("UPDATE `forum_r` SET `time` = '$time' WHERE `id` = '$razdel[id]' LIMIT 1");
	msg('Тема успешно создана');

echo '<a href="/forum/'.$forum['id'].'/'.$razdel['id'].'/'.$them['id'].'/">Перейти в тему</a><br/>';
echo '<a href="/forum/'.$forum['id'].'/'.$razdel['id'].'/">Назад</a><br/>';
echo '<a href="/forum/'.$forum['id'].'/">'.$forum['name'].'</a><br/>';
echo '<a href="/forum/">Форум</a></div>';
include_once '../sys/inc/tfoot.php';
}
}

err();

echo '<a href="/smiles/index.php">Смайлы</a><br/>';
echo '<form method="post" action="/forum/'.$forum['id'].'/'.$razdel['id'].'/?act=new">';
echo 'Название темы:<br/><input name="name" type="text" maxlength="32" value=""/><br/>';

if($user['set_translit']==1){
	echo '<label><input type="checkbox" name="translit1" value="1"/> Транслит</label><br/>';
	}

echo 'Сообщение:<br/><textarea name="msg"></textarea><br/>';

if($user['set_translit']==1){
	echo '<label><input type="checkbox" name="translit2" value="1"/> Транслит</label><br/>';
	}

echo '<input value="Создать" type="submit"/></form>';
?>